import CoreSystem from '../systems/CoreSystem.js';
import ModuleSystem from '../systems/ModuleSystem.js';
import RoutingSystem from '../systems/RoutingSystem.js';
import LinkManager from '../systems/LinkManager.js';
import ModuleLoader from '../systems/ModuleLoader.js';
import Systems from '../systems/Systems';
import Modules from '../modules/';
import Module from '../modules/Module.js';
import Import from '../systems/Import.js';
// import Service from '../modules/Service.js';
import * as ModuleUtilities from '../modules/ModuleUtilities.js';

export default {
	Systems,
	CoreSystem,
	ModuleSystem,
	RoutingSystem,
	LinkManager,
	ModuleLoader,
	Module,
	Modules,
	ModuleUtilities,
	Import
}