import React from 'react';
import Module from '../Module';

import API from '../../systems/services/API';
import './APIBrowser.css';

class APIBrowser extends Module {
	constructor(props) {
		super(props);
        this.state = {
            result: ''
        }

		// this.api.onUpdate((v) => console.log("API SET"));
	}

    update(v) {
        // let API = this.api.value;
        API.get(v).then((r) => {
            this.setState({result:r})
        });
    }

	render() {
		return <div className="APIBrowser">
            <div>
                <input type="text" onBlur={(e) => this.update(e.target.value)}/>
            </div>
            <div>
                {JSON.stringify(this.state.result)}
            </div>
            {super.render()}
        </div>;
	}
}

APIBrowser.Inputs = {
	api: {
		type: Module.Types.Link
	}
}

export default APIBrowser;