import React from 'react';

class Col extends React.Component {
	constructor(props) {
		super(props);
	}


	render() {
		let arr = [
			'col' + (this.props.size ? '-' + this.props.size : ''),
			'col-sm-' + this.props.smsize,
			'col-md-' + this.props.mdsize,
			'col-lg-' + this.props.lgsize,
			'col-xl-' + this.props.xlsize 
		];
		let sizes = arr.join(' ');
		return <div {...this.props} className={this.props.className + ' ' + sizes + ' offset-' + this.props.offset}>
		{this.props.children}
		</div>;
	}
}
Col.EditPosition = 'top-center';
Col.Category = "Layout";

export default Col;