import React from 'react';
import Module from '../Module';


class Viewport extends Module {
	constructor(props) {
		super(props);
		this.view = '';
	}

	render() {
		let modid = this.viewname.value;
		if(modid) {
			this.view = this.ModuleSystem.render(modid);
		} else {
			this.view = '';
		}
		return <div className="Viewport">
				{this.view}
				{super.render()}
			</div>;
	}
}

Viewport.EditPosition = "top-left";
Viewport.Inputs = {
	viewname: {
		type: Module.Types.Text,
		defaultValue: ""
	}
}
Viewport.Category = "Layout";
export default Viewport;