class Logger {
    constructor() {
      this.user = null;
    }

    log(...e) {
      console.log("%c[*] \t Logger \t [*]", 'color:black');
      console.log(...e);
    }

    error(...e) {
      console.log("%c[XXX] \t Logger Error \t [XXX]", 'color:red');
      console.log(...e);
      console.log("%c[^] \t END END END\t [^]", 'color:red');
      throw e;
    }

    warning(...e) {
      console.log("%c [Warning] \t Logger Warning \t [Warning]", 'color: #F08700');
      console.log(...e);
    }
}

export default new Logger();