import React from 'react';
import Module from '../Module';

class InputField extends Module {
	constructor(props) {
		super(props);
	}

	render() {
		const upper = this.props.name.charAt(0).toUpperCase() + this.props.name.substr(1);
		return <div className="form-group">
			    <label htmlFor={this.props.name + '_id'}>{upper}</label>
			    <input  className="form-control" id={this.props.name + '_id'} defaultValue={this.props.metadata.defaultValue}
			    		placeholder={"Enter " + this.props.name} 	required={this.props.metadata.required} 
			    		onChange={(e) => this.props.onChange(e.target.value)}/>
			    <small id={this.props.name + '_Comment'} className="form-text text-muted">{this.props.metadata.comment}</small>
			  </div>;
	}
}

InputField.Category = "Basic";
export default InputField;