import React from 'react';

class Modal extends React.Component {
	constructor(props) {
		super(props);
	}

	componentWillUnmount() {
		try { document.querySelector('.modal-backdrop').remove() } 
		catch (e) {}
	}

	render() {
		return <div className="modal fade" id={this.props.id} tabIndex="-1" role="dialog" aria-labelledby="ModalLabel" aria-hidden="true">
				  <div className="modal-dialog" role="document">
				    <div className="modal-content">
				      <div className="modal-header">
				        <h5 className="modal-title" id="ModalLabel">{this.props.title}</h5>
				        <button type="button" className="close" data-dismiss="modal" aria-label="Close">
				          <span aria-hidden="true">&times;</span>
				        </button>
				      </div>
				      <div className="modal-body">
				        {this.props.children}
				      </div>
				      {this.props.footer ? 
				      <div className="modal-footer">
				        <button type="button" className="btn btn-secondary" data-dismiss="modal">Close</button>
				        {this.props.confirmButton ? <button type="button" className="btn btn-primary" onClick={() => this.onConfirm()}>{this.props.confirmButton}</button> : ''}
				      </div>
				      : ''}
				    </div>
				  </div>
				</div>;
	}
}
export default Modal;