import React from 'react';
import Logger from './Logger';

import Module from '../modules/Module'
import Service from '../modules/Service'
import Systems from './Systems'

class Import { 
	constructor() {
	}
	
	import(obj, prefix = "") { 
		for(var i in obj) {
			if (obj[i].prototype instanceof Module) {
				obj[i].Category = prefix;
				Systems.addModule(obj[i]);
			} else if (obj[i].prototype instanceof Service) {
				obj[i].Category = "Services/" + prefix;
				Systems.addService(obj[i]);
			} else if (typeof obj[i] === "object") {
				this.import(obj[i], [...(prefix.split('/')), i].join('/'));
			}
		}
	}
}

export default new Import();